import * as grpcWeb from 'grpc-web';

import * as api_greeting_greeting_pb from '../../api/greeting/greeting_pb'; // proto import: "api/greeting/greeting.proto"


export class GreetingServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  hello(
    request: api_greeting_greeting_pb.HelloRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: api_greeting_greeting_pb.HelloResponse) => void
  ): grpcWeb.ClientReadableStream<api_greeting_greeting_pb.HelloResponse>;

}

export class GreetingServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  hello(
    request: api_greeting_greeting_pb.HelloRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<api_greeting_greeting_pb.HelloResponse>;

}

